Skip to main content
POST
Create or replace the project's monthly spend limit

Authorizations

Authorization
string
header
required

ak_admin_… Admin API key

Path Parameters

project_id
string
required
Pattern: ^proj_[0-9a-f]{32}$
Example:

"proj_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f"

Body

application/json
amount_usd
string
required

USD 0–1000000 (number or decimal string, ≤ 6 decimals)

Example:

"20.00"

alert_threshold_basis_points
integer | null
Required range: 0 <= x <= 10000

Response

object | null

OK

id
string
required
Pattern: ^sl_[0-9a-f]{32}$
Example:

"sl_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f"

object
enum<string>
required
Available options:
organization.spend_limit
scope
enum<string>
required
Available options:
organization,
project
project_id
string | null
required
Pattern: ^proj_[0-9a-f]{32}$
Example:

"proj_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f"

amount_usd
string
required
Pattern: ^\d+\.\d{2}(\d{0,3}[1-9])?$
Example:

"12.50"

period
enum<string>
required
Available options:
monthly
status
enum<string>
required
Available options:
active
alert_threshold_basis_points
integer | null
required
Required range: 0 <= x <= 10000
created_at
integer
required

Unix seconds

Example:

1793750400

updated_at
integer
required

Unix seconds

Example:

1793750400